: Class PageCompileProp

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.pagecompile
Class PageCompileProp

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.jigsaw.config.PropertySet
                        |
                        +--org.w3c.jigsaw.pagecompile.PageCompileProp

public class PageCompileProp
extends PropertySet

Field Summary
`protected static int` | `ATTR_PAGE_COMPILED_DIR` Attribute index - The index for our generated class directory.
`protected static int` | `ATTR_PAGE_COMPILER_CLASS` Attribute index - The index for our compiler class name.
`protected static java.lang.String` | `PAGE_COMPILE_PROP_NAME` Our property name.
`protected static java.lang.String` | `PAGE_COMPILED_DIR` Name of the property indicating the generated class directory.
`protected static java.lang.String` | `PAGE_COMPILER_CLASS` Name of the property indicating the compiler class name

Fields inherited from class org.w3c.jigsaw.config.PropertySet
`server`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Method Summary
`protected java.io.File` | `getCompiledPageDirectory()`
`protected java.lang.String` | `getCompilerClassName()`
`protected java.io.File` | `getDefaultCompiledPageDirectory()`

Methods inherited from class org.w3c.jigsaw.config.PropertySet
`convertingGet, getHelpURL, getHelpURL, getTitle, getValue, initialize, setValue`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, delete, getClone, getContext, getFrame, getFrames, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, isInitialized, isUnloaded, markModified, notifyUnload, registerFrame, setContext, setContext, setValue, unregisterFrame, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PAGE_COMPILE_PROP_NAME

    protected static java.lang.String PAGE_COMPILE_PROP_NAME

  Our property name.

### PAGE_COMPILED_DIR

    protected static java.lang.String PAGE_COMPILED_DIR

  Name of the property indicating the generated class directory.

### PAGE_COMPILER_CLASS

    protected static java.lang.String PAGE_COMPILER_CLASS

  Name of the property indicating the compiler class name

### ATTR_PAGE_COMPILED_DIR

    protected static int ATTR_PAGE_COMPILED_DIR

  Attribute index - The index for our generated class directory.

### ATTR_PAGE_COMPILER_CLASS

    protected static int ATTR_PAGE_COMPILER_CLASS

  Attribute index - The index for our compiler class name.

Method Detail

### getDefaultCompiledPageDirectory

    protected java.io.File getDefaultCompiledPageDirectory()

### getCompiledPageDirectory

    protected java.io.File getCompiledPageDirectory()

### getCompilerClassName

    protected java.lang.String getCompilerClassName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD